Name: x11-driver-video-fbdev
Version: 0.5.0
Release: %mkrel 3
Summary: X.org driver for Linux FBDev
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-fbdev-%{version}.tar.bz2
License: MIT

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-fbdev is the X.org driver for Linux FBDev.

%prep
%setup -q -n xf86-video-fbdev-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/fbdev_drv.la
%{_libdir}/xorg/modules/drivers/fbdev_drv.so
%{_mandir}/man4/fbdev.*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.5.0-3.mga8
+ Revision: 1518488
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-2.mga7
+ Revision: 1301753
- Mageia 7 Mass Rebuild
+ tv <tv>
- use new macros

* Sun Jun 10 2018 tv <tv> 0.5.0-1.mga7
+ Revision: 1236134
- new release

* Fri Apr 06 2018 tv <tv> 0.4.4-20.mga7
+ Revision: 1215704
- add more fixes from git

* Thu Apr 05 2018 neoclust <neoclust> 0.4.4-19.mga7
+ Revision: 1215487
- Rebuild for missing arm packages

* Fri Mar 09 2018 tv <tv> 0.4.4-18.mga7
+ Revision: 1207638
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 0.4.4-17.mga6
+ Revision: 1067660
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.4.4-16.mga6
+ Revision: 1043237
- rebuild for xorg-server 1.18.4

* Fri Jan 22 2016 pterjan <pterjan> 0.4.4-15.mga6
+ Revision: 926391
- Fix a segfault on arm

* Thu Nov 12 2015 daviddavid <daviddavid> 0.4.4-14.mga6
+ Revision: 902696
- rebuild for xserver 1.18

* Sat Jun 20 2015 tv <tv> 0.4.4-13.mga6
+ Revision: 835935
- rebuild for xserver 1.17

* Wed Mar 11 2015 tmb <tmb> 0.4.4-12.mga5
+ Revision: 818330
- re-enable P1-P3

* Mon Mar 09 2015 tmb <tmb> 0.4.4-11.mga5
+ Revision: 818245
- disable p2, p3 too as tey depend on p1
- disable p1 (default to 32bit if console is 8bit)

* Thu Jan 29 2015 tmb <tmb> 0.4.4-10.mga5
+ Revision: 812662
- Default to 32bpp if the console is 8bpp (unless otherwise defined)
- Use own thunk functions instead of fbdevHW*Weak
- Pass the pci device (if any) through to fbdevhw in probe and preinit

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-9.mga5
+ Revision: 748055
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-8.mga5
+ Revision: 690429
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.4.4-7.mga5
+ Revision: 634964
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.4.4-6.mga5
+ Revision: 633633
- rebuild for new xserver RC

* Fri Jun 06 2014 tv <tv> 0.4.4-5.mga5
+ Revision: 633622
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.4.4-4.mga5
+ Revision: 614308
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.4.4-3.mga5
+ Revision: 582231
- rebuild for new xserver

* Mon Oct 21 2013 umeabot <umeabot> 0.4.4-2.mga4
+ Revision: 537411
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 tv <tv> 0.4.4-1.mga4
+ Revision: 486973
- new release

* Thu May 30 2013 tv <tv> 0.4.3-4.mga4
+ Revision: 433102
- submit to core/release

* Thu May 23 2013 tv <tv> 0.4.3-3.mga4
+ Revision: 425634
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 0.4.3-3.mga3
+ Revision: 385981
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 0.4.3-2.mga3
+ Revision: 288931
- rebuild for new xserver

* Thu Jul 12 2012 tv <tv> 0.4.3-1.mga3
+ Revision: 270182
- new release

* Wed Jun 06 2012 tmb <tmb> 0.4.2-10.mga3
+ Revision: 256387
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.4.2-9.mga3
+ Revision: 252963
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.4.2-8.mga3
+ Revision: 249799
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 0.4.2-7.mga2
+ Revision: 177454
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.4.2-6.mga2
+ Revision: 153300
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.4.2-5.mga2
+ Revision: 153087
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.4.2-4.mga1
+ Revision: 64393
- rebuild for new xserver-1.10

* Sun Jan 23 2011 blino <blino> 0.4.2-3.mga1
+ Revision: 35262
- imported package x11-driver-video-fbdev


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 0.4.2-3mdv2011.0
+ Revision: 595707
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.4.2-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Apr 05 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.4.2-1mdv2010.1
+ Revision: 531583
- New version: 0.4.2

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 0.4.1-2mdv2010.1
+ Revision: 464337
- rebuild for new xserver

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 407717
- fix build
- new release

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4.0-4mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.0-3mdv2009.1
+ Revision: 308166
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.4.0-2mdv2009.0
+ Revision: 265919
- rebuild early 2009.0 package (before pixel changes)
- improved description
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.4.0-1mdv2009.0
+ Revision: 194208
- Update to version 0.4.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.3.1-4mdv2008.1
+ Revision: 165552
- Revert to use upstream tarball and remove local patches.

  + Ademar de Souza Reis Jr <ademar@mandriva.com.br>
    - re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.3.1-3mdv2008.1
+ Revision: 154860
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Fix tarball to use existing tag xf86-video-fbdev-0.3.1. Also dont move
  back mandriva branch point and update, as a set of patches, changes up to
  there.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.3.1-2mdv2008.1
+ Revision: 98691
- minor spec cleanup
- build against new xserver (1.4)

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed Jan 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-1mdv2007.0
+ Revision: 103661
- new release
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - remove old tarball
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

